vBSEO "u" Cross-Site Scripting Vulnerability

by Carol~ Moderator - 10/12/12 10:29 AM

In Reply to: VULNERABILITIES / FIXES - October 12, 2012 by Carol~ Moderator

Release Date : 2012-10-12

Criticality level : Less critical
Impact: Cross Site Scripting
Where : From remote
Solution Status : Unpatched

Software: vBSEO 3.x (module for vBulletin)

Description:
MegaMan has reported a vulnerability in vBSEO, which can be exploited by malicious people to conduct cross-site scripting attacks.

Input passed to the "u" parameter in member.php is not properly sanitised before being returned to the user. This can be exploited to execute arbitrary HTML and script code in a user's browser session in context of an affected site.

Successful exploitation requires that "Visitor Messages" feature is enabled.

Solution:
No official solution is currently available.

Provided and/or discovered by:
MegaMan

Original Advisory:
MegaMan:
http://www.internot.info/forum/showthread.php?t=383

http://secunia.com/advisories/50842/